MyGUI::ScrollBar Class Reference

widget description should be here. More...

`#include <MyGUI_ScrollBar.h>`

Inheritance diagram for MyGUI::ScrollBar:
[legend]

## Public Types

typedef RTTIBase | Base
typedef ScrollBar | RTTIBase
Public Types inherited from MyGUI::Widget
typedef RTTIBase | Base
typedef Widget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions

virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
void | setVerticalAlignment (bool _value)
bool | getVerticalAlignment () const
void | setScrollRange (size_t _range)
size_t | getScrollRange () const
void | setScrollPosition (size_t _position)
size_t | getScrollPosition () const
void | setScrollPage (size_t _value)
size_t | getScrollPage () const
void | setScrollViewPage (size_t _value)
size_t | getScrollViewPage () const
void | setScrollWheelPage (size_t _value)
size_t | getScrollWheelPage () const
int | getLineSize () const
void | setTrackSize (int _size)
int | getTrackSize () const
void | setMinTrackSize (int _value)
int | getMinTrackSize () const
void | setMoveToClick (bool _value)
bool | getMoveToClick () const
void | setRepeatEnabled (bool enabled)
bool | getRepeatEnabled () const
void | setRepeatTriggerTime (float time)
float | getRepeatTriggerTime (float time) const
void | setRepeatStepTime (float time)
float | getRepeatStepTime (float time) const
void | setPosition (const IntPoint &_point) override
void | setSize (const IntSize &_size) override
void | setCoord (const IntCoord &_coord) override
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
Public Member Functions inherited from MyGUI::Widget
template<typename Type>
bool | isType () const
Widget * | createWidgetT (std::string_view _type, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _name={})
Widget * | createWidgetT (std::string_view _type, std::string_view _skin, int _left, int _top, int _width, int _height, Align _align, std::string_view _name={})
Widget * | createWidgetRealT (std::string_view _type, std::string_view _skin, const FloatCoord &_coord, Align _align, std::string_view _name={})
Widget * | createWidgetRealT (std::string_view _type, std::string_view _skin, float _left, float _top, float _width, float _height, Align _align, std::string_view _name={})
template<typename T>
T * | createWidget (std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _name={})
template<typename T>
T * | createWidget (std::string_view _skin, int _left, int _top, int _width, int _height, Align _align, std::string_view _name={})
template<typename T>
T * | createWidgetReal (std::string_view _skin, const FloatCoord &_coord, Align _align, std::string_view _name={})
template<typename T>
T * | createWidgetReal (std::string_view _skin, float _left, float _top, float _width, float _height, Align _align, std::string_view _name={})
Widget * | createWidgetT (WidgetStyle _style, std::string_view _type, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _layer={}, std::string_view _name={})
template<typename T>
T * | createWidget (WidgetStyle _style, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _layer={}, std::string_view _name={})
void | setPosition (const IntPoint &_point) override
void | setSize (const IntSize &_size) override
void | setCoord (const IntCoord &_coord) override
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
void | setRealPosition (const FloatPoint &_point)
void | setRealSize (const FloatSize &_size)
void | setRealCoord (const FloatCoord &_coord)
void | setRealPosition (float _left, float _top)
void | setRealSize (float _width, float _height)
void | setRealCoord (float _left, float _top, float _width, float _height)
const std::string & | getName () const
| Get name of widget.
virtual void | setVisible (bool _value)
bool | getVisible () const
void | setDepth (int _value)
int | getDepth () const
bool | getInheritedVisible () const
virtual void | setAlign (Align _value)
Align | getAlign () const
void | setAlpha (float _alpha)
float | getAlpha () const
void | setInheritsAlpha (bool _inherits)
bool | getInheritsAlpha () const
void | setColour (const Colour &_value)
bool | isRootWidget () const
Widget * | getParent () const
IntSize | getParentSize () const
EnumeratorWidgetPtr | getEnumerator () const
size_t | getChildCount () const
Widget * | getChildAt (size_t _index) const
Widget * | findWidget (std::string_view _name)
void | findWidgets (std::string_view _name, VectorWidgetPtr &_result)
virtual void | setEnabled (bool _value)
void | setEnabledSilent (bool _value)
bool | getEnabled () const
bool | getInheritedEnabled () const
IntCoord | getClientCoord () const
Widget * | getClientWidget ()
const Widget * | getClientWidget () const
void | detachFromWidget (std::string_view _layer={})
void | attachToWidget (Widget *_parent, WidgetStyle _style=WidgetStyle::Child, std::string_view _layer={})
void | changeWidgetSkin (std::string_view _skinName)
void | setWidgetStyle (WidgetStyle _style, std::string_view _layer={})
WidgetStyle | getWidgetStyle () const
void | setProperty (std::string_view _key, std::string_view _value)
virtual size_t | _getItemIndex (Widget *_item) const
void | _forcePick (Widget *_widget)
void | _initialise (WidgetStyle _style, const IntCoord &_coord, std::string_view _skinName, Widget *_parent, ICroppedRectangle *_croppedParent, std::string_view _name)
void | _shutdown ()
void | _destroyChildWidget (Widget *_widget)
void | _setContainer (Widget *_value)
Widget * | _getContainer () const
void | _setAlign (const IntSize &_oldsize, const IntSize &_newSize)
bool | _checkPoint (int _left, int _top) const
Widget * | _createSkinWidget (WidgetStyle _style, std::string_view _type, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _layer={}, std::string_view _name={})
virtual void | _resetContainer (bool _update)
bool | _setWidgetState (std::string_view _state)
void | _updateChilds ()
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default
Public Member Functions inherited from MyGUI::ICroppedRectangle
virtual | ~ICroppedRectangle ()=default
ICroppedRectangle * | getCroppedParent ()
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::UserData
virtual | ~UserData ()=default
void | setUserString (std::string_view _key, std::string_view _value)
std::string_view | getUserString (std::string_view _key) const
const MapString & | getUserStrings () const
bool | clearUserString (std::string_view _key)
bool | isUserString (std::string_view _key) const
void | clearUserStrings ()
void | setUserData (Any _data)
template<typename ValueType>
ValueType * | getUserData (bool _throw=true) const
void | _setInternalData (Any _data)
template<typename ValueType>
ValueType * | _getInternalData (bool _throw=true) const
Public Member Functions inherited from MyGUI::WidgetInput
virtual | ~WidgetInput ()=default
void | setNeedToolTip (bool _value)
bool | getNeedToolTip () const
void | setPointer (std::string_view _value)
const std::string & | getPointer () const
void | setNeedKeyFocus (bool _value)
bool | getNeedKeyFocus () const
void | setNeedMouseFocus (bool _value)
bool | getNeedMouseFocus () const
void | setInheritsPick (bool _value)
bool | getInheritsPick () const
void | setMaskPick (const std::string &_filename)
void | setMaskPick (const MaskPickInfo &_info)
bool | isMaskPickInside (const IntPoint &_point, const IntCoord &_coord) const
bool | getRootMouseFocus () const
bool | getRootKeyFocus () const
void | _riseMouseLostFocus (Widget *_new)
void | _riseMouseSetFocus (Widget *_old)
void | _riseMouseDrag (int _left, int _top, MouseButton _id)
void | _riseMouseMove (int _left, int _top)
void | _riseMouseWheel (int _rel)
void | _riseMouseButtonPressed (int _left, int _top, MouseButton _id)
void | _riseMouseButtonReleased (int _left, int _top, MouseButton _id)
void | _riseMouseButtonClick ()
void | _riseMouseButtonDoubleClick ()
void | _riseKeyLostFocus (Widget *_new)
void | _riseKeySetFocus (Widget *_old)
void | _riseKeyButtonPressed (KeyCode _key, Char _char)
void | _riseKeyButtonReleased (KeyCode _key)
void | _riseMouseChangeRootFocus (bool _focus)
void | _riseKeyChangeRootFocus (bool _focus)
void | _setRootMouseFocus (bool _value)
void | _setRootKeyFocus (bool _value)
Public Member Functions inherited from MyGUI::delegates::IDelegateUnlink
virtual | ~IDelegateUnlink ()=default
| IDelegateUnlink ()
bool | compare (IDelegateUnlink *_unlink) const
Public Member Functions inherited from MyGUI::SkinItem
ISubWidgetText * | getSubWidgetText () const
ISubWidgetRect * | getSubWidgetMain () const
void | _setTextureName (std::string_view _texture)
const std::string & | _getTextureName () const
Public Member Functions inherited from MyGUI::LayerItem
ILayer * | getLayer () const
ILayerNode * | getLayerNode () const
void | attachItemToNode (ILayer *_layer, ILayerNode *_node) override
void | detachFromLayer () override
void | upLayerItem () override
void | setRenderItemTexture (ITexture *_texture)
void | addChildItem (LayerItem *_item)
void | removeChildItem (LayerItem *_item)
void | addChildNode (LayerItem *_item)
void | removeChildNode (LayerItem *_item)
void | addRenderItem (ISubWidget *_item)
void | removeAllRenderItems ()
void | saveLayerItem ()
void | restoreLayerItem ()
Public Member Functions inherited from MyGUI::ILayerItem
virtual | ~ILayerItem ()=default
Public Member Functions inherited from MyGUI::MemberObsolete< Widget >
bool | isEnabled ()
bool | isInheritsAlpha ()
bool | isNeedKeyFocus ()
bool | isNeedMouseFocus ()
bool | isInheritsPick ()
bool | isVisible ()

## Static Public Member Functions

static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::Widget
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Data Fields

EventHandle_ScrollBarPtrSizeT | eventScrollChangePosition
Data Fields inherited from MyGUI::Widget
EventHandle_WidgetStringString | eventChangeProperty
EventHandle_WidgetVoid | eventChangeCoord
EventHandle_WidgetVoid | eventWidgetDestroyed
Data Fields inherited from MyGUI::WidgetInput
EventHandle_WidgetWidget | eventMouseLostFocus
EventHandle_WidgetWidget | eventMouseSetFocus
EventPairAddParameter< EventHandle_WidgetIntInt, EventHandle_WidgetIntIntButton > | eventMouseDrag
EventHandle_WidgetIntInt | eventMouseMove
EventHandle_WidgetInt | eventMouseWheel
EventHandle_WidgetIntIntButton | eventMouseButtonPressed
EventHandle_WidgetIntIntButton | eventMouseButtonReleased
EventHandle_WidgetVoid | eventMouseButtonClick
EventHandle_WidgetVoid | eventMouseButtonDoubleClick
EventHandle_WidgetWidget | eventKeyLostFocus
EventHandle_WidgetWidget | eventKeySetFocus
EventHandle_WidgetKeyCodeChar | eventKeyButtonPressed
EventHandle_WidgetKeyCode | eventKeyButtonReleased
EventHandle_WidgetBool | eventRootMouseChangeFocus
EventHandle_WidgetBool | eventRootKeyChangeFocus
EventHandle_WidgetToolTip | eventToolTip

## Protected Member Functions

void | initialiseOverride () override
void | shutdownOverride () override
void | updateTrack ()
void | TrackMove (int _left, int _top)
void | onMouseWheel (int _rel) override
void | notifyMousePressed (Widget *_sender, int _left, int _top, MouseButton _id)
void | notifyMouseReleased (Widget *_sender, int _left, int _top, MouseButton _id)
void | notifyMouseDrag (Widget *_sender, int _left, int _top, MouseButton _id)
void | notifyMouseWheel (Widget *_sender, int _rel)
void | setPropertyOverride (std::string_view _key, std::string_view _value) override
int | getTrackPlaceLength () const
Protected Member Functions inherited from MyGUI::Widget
| ~Widget () override=default
void | _updateView ()
Widget * | baseCreateWidget (WidgetStyle _style, std::string_view _type, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _layer, std::string_view _name, bool _template)
void | _destroyAllChildWidget ()
virtual size_t | _getContainerIndex (const IntPoint &_point) const
virtual void | baseUpdateEnable ()
ILayerItem * | getLayerItemByPoint (int _left, int _top) const override
const IntCoord & | getLayerItemCoord () const override
template<typename T>
void | assignWidget (T *&_widget, std::string_view _name)
VectorWidgetPtr | getSkinWidgetsByName (std::string_view _name) const
virtual void | onWidgetCreated (Widget *_widget)
virtual void | onWidgetDestroy (Widget *_widget)
void | setWidgetClient (Widget *_widget)
Widget * | _getClientWidget ()
| If there is client widget return it, otherwise return this.
const Widget * | _getClientWidget () const
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const
Protected Member Functions inherited from MyGUI::WidgetInput
virtual void | onMouseLostFocus (Widget *_new)
virtual void | onMouseSetFocus (Widget *_old)
virtual void | onMouseDrag (int _left, int _top, MouseButton _id)
virtual void | onMouseMove (int _left, int _top)
virtual void | onMouseButtonPressed (int _left, int _top, MouseButton _id)
virtual void | onMouseButtonReleased (int _left, int _top, MouseButton _id)
virtual void | onMouseButtonClick ()
virtual void | onMouseButtonDoubleClick ()
virtual void | onKeyLostFocus (Widget *_new)
virtual void | onKeySetFocus (Widget *_old)
virtual void | onKeyButtonPressed (KeyCode _key, Char _char)
virtual void | onKeyButtonReleased (KeyCode _key)
virtual void | onMouseChangeRootFocus (bool _focus)
virtual void | onKeyChangeRootFocus (bool _focus)
Protected Member Functions inherited from MyGUI::SkinItem
void | _createSkinItem (ResourceSkin *_info)
void | _deleteSkinItem ()
void | _setSkinItemAlign (const IntSize &_size)
void | _setSkinItemVisible (bool _value)
void | _setSkinItemColour (const Colour &_value)
void | _setSkinItemAlpha (float _value)
void | _correctSkinItemView ()
void | _updateSkinItemView ()
bool | _setSkinItemState (std::string_view _state)
void | _setSubSkinVisible (bool _visible)
Protected Member Functions inherited from MyGUI::LayerItem
void | attachToLayerItemNode (ILayerNode *_item, bool _deep)
void | detachFromLayerItemNode (bool _deep)

## Protected Attributes

Button * | mWidgetStart {nullptr}
Button * | mWidgetEnd {nullptr}
Button * | mWidgetTrack {nullptr}
Widget * | mWidgetFirstPart {nullptr}
Widget * | mWidgetSecondPart {nullptr}
IntPoint | mPreActionOffset
size_t | mSkinRangeStart {0}
size_t | mSkinRangeEnd {0}
size_t | mScrollRange {0}
size_t | mScrollPosition {0}
size_t | mScrollPage {0}
size_t | mScrollViewPage {0}
size_t | mScrollWheelPage {0}
bool | mEnableRepeat {true}
float | mRepeatTriggerTime {0.f}
float | mRepeatStepTime {0.f}
int | mMinTrackSize {0}
bool | mMoveToClick {false}
bool | mVerticalAlignment {true}
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin {false}
ICroppedRectangle * | mCroppedParent {nullptr}

## Detailed Description

widget description should be here.

Definition at line 23 of file MyGUI_ScrollBar.h.

## Member Typedef Documentation

## Base

typedef RTTIBase MyGUI::ScrollBar::Base

Definition at line 25 of file MyGUI_ScrollBar.h.

## RTTIBase

typedef ScrollBar MyGUI::ScrollBar::RTTIBase

Definition at line 25 of file MyGUI_ScrollBar.h.

## Member Function Documentation

## getClassTypeName()

std::string_view MyGUI::ScrollBar::getClassTypeName | ( |  | ) |

inline static

Definition at line 25 of file MyGUI_ScrollBar.h.

## getLineSize()

int MyGUI::ScrollBar::getLineSize | ( |  | ) | const

Get size in pixels of area where scroll moves

Definition at line 431 of file MyGUI_ScrollBar.cpp.

## getMinTrackSize()

int MyGUI::ScrollBar::getMinTrackSize | ( |  | ) | const

Get minimal track size

Definition at line 643 of file MyGUI_ScrollBar.cpp.

## getMoveToClick()

bool MyGUI::ScrollBar::getMoveToClick | ( |  | ) | const

Get move to click mode flag

Definition at line 653 of file MyGUI_ScrollBar.cpp.

## getRepeatEnabled()

bool MyGUI::ScrollBar::getRepeatEnabled | ( |  | ) | const

Get whether Repeat mode is enabled

See also
  setRepeatEnabled

Definition at line 415 of file MyGUI_ScrollBar.cpp.

## getRepeatStepTime()

float MyGUI::ScrollBar::getRepeatStepTime | ( | float | time | ) | const

Get how much time between scrollbar button repeats.

Definition at line 405 of file MyGUI_ScrollBar.cpp.

## getRepeatTriggerTime()

float MyGUI::ScrollBar::getRepeatTriggerTime | ( | float | time | ) | const

Get time that buttons need to be pressed down to start repeating.

Definition at line 400 of file MyGUI_ScrollBar.cpp.

## getScrollPage()

size_t MyGUI::ScrollBar::getScrollPage | ( |  | ) | const

Get scroll page

Definition at line 614 of file MyGUI_ScrollBar.cpp.

## getScrollPosition()

size_t MyGUI::ScrollBar::getScrollPosition | ( |  | ) | const

Get scroll position (value from 0 to range - 1)

Definition at line 604 of file MyGUI_ScrollBar.cpp.

## getScrollRange()

size_t MyGUI::ScrollBar::getScrollRange | ( |  | ) | const

Get scroll range

Definition at line 599 of file MyGUI_ScrollBar.cpp.

## getScrollViewPage()

size_t MyGUI::ScrollBar::getScrollViewPage | ( |  | ) | const

Get scroll view page

Definition at line 624 of file MyGUI_ScrollBar.cpp.

## getScrollWheelPage()

size_t MyGUI::ScrollBar::getScrollWheelPage | ( |  | ) | const

Get scroll view page

Definition at line 633 of file MyGUI_ScrollBar.cpp.

## getTrackPlaceLength()

int MyGUI::ScrollBar::getTrackPlaceLength | ( |  | ) | const

protected

Definition at line 658 of file MyGUI_ScrollBar.cpp.

## getTrackSize()

int MyGUI::ScrollBar::getTrackSize | ( |  | ) | const

Get size of track in pixels

Definition at line 420 of file MyGUI_ScrollBar.cpp.

## getTypeName()

virtual std::string_view MyGUI::ScrollBar::getTypeName | ( |  | ) | const

inline override virtual

Get type name as string

Reimplemented from MyGUI::Widget.

Reimplemented in MyGUI::HScroll, and MyGUI::VScroll.

Definition at line 25 of file MyGUI_ScrollBar.h.

## getVerticalAlignment()

bool MyGUI::ScrollBar::getVerticalAlignment | ( |  | ) | const

Get vertical alignment grid mode flag

Definition at line 676 of file MyGUI_ScrollBar.cpp.

## initialiseOverride()

void MyGUI::ScrollBar::initialiseOverride | ( |  | ) |

override protected virtual

Reimplemented from MyGUI::Widget.

Definition at line 18 of file MyGUI_ScrollBar.cpp.

## isType() [1/2]

template<typename Type>

bool MyGUI::ScrollBar::isType | ( |  | ) | const

inline

Compare with selected type

Definition at line 25 of file MyGUI_ScrollBar.h.

## isType() [2/2]

virtual bool MyGUI::ScrollBar::isType | ( | const std::type_info & | _type | ) | const

inline override virtual

Compare with selected type

Reimplemented from MyGUI::Widget.

Reimplemented in MyGUI::HScroll, and MyGUI::VScroll.

Definition at line 25 of file MyGUI_ScrollBar.h.

## notifyMouseDrag()

void MyGUI::ScrollBar::notifyMouseDrag | ( | Widget * | _sender,
|  | int | _left,
|  | int | _top,
|  | MouseButton | _id )

protected

Definition at line 325 of file MyGUI_ScrollBar.cpp.

## notifyMousePressed()

void MyGUI::ScrollBar::notifyMousePressed | ( | Widget * | _sender,
|  | int | _left,
|  | int | _top,
|  | MouseButton | _id )

protected

Definition at line 263 of file MyGUI_ScrollBar.cpp.

## notifyMouseReleased()

void MyGUI::ScrollBar::notifyMouseReleased | ( | Widget * | _sender,
|  | int | _left,
|  | int | _top,
|  | MouseButton | _id )

protected

Definition at line 319 of file MyGUI_ScrollBar.cpp.

## notifyMouseWheel()

void MyGUI::ScrollBar::notifyMouseWheel | ( | Widget * | _sender,
|  | int | _rel )

protected

Definition at line 443 of file MyGUI_ScrollBar.cpp.

## onMouseWheel()

void MyGUI::ScrollBar::onMouseWheel | ( | int | _rel | ) |

override protected virtual

Reimplemented from MyGUI::WidgetInput.

Definition at line 436 of file MyGUI_ScrollBar.cpp.

## setCoord() [1/2]

void MyGUI::ScrollBar::setCoord | ( | const IntCoord & | _coord | ) |

override virtual

Set widget position and size

Reimplemented from MyGUI::ICroppedRectangle.

Definition at line 367 of file MyGUI_ScrollBar.cpp.

## setCoord() [2/2]

void MyGUI::Widget::setCoord | ( | int | _left,
|  | int | _top,
|  | int | _width,
|  | int | _height )

See Widget::setCoord(const IntCoord& _coord)

Definition at line 179 of file MyGUI_Widget.cpp.

## setMinTrackSize()

void MyGUI::ScrollBar::setMinTrackSize | ( | int | _value | ) |

Set minimal track size (used for setTrackSize)

Definition at line 638 of file MyGUI_ScrollBar.cpp.

## setMoveToClick()

void MyGUI::ScrollBar::setMoveToClick | ( | bool | _value | ) |

Enable or disable move to click mode.
Move to click mode: Tracker moves to cursor when pressed on scroll line.
Disabled (false) by default.

Definition at line 648 of file MyGUI_ScrollBar.cpp.

## setPosition() [1/2]

void MyGUI::ScrollBar::setPosition | ( | const IntPoint & | _point | ) |

override virtual

Set widget position (position of left top corner)

Reimplemented from MyGUI::ICroppedRectangle.

Definition at line 355 of file MyGUI_ScrollBar.cpp.

## setPosition() [2/2]

void MyGUI::Widget::setPosition | ( | int | _left,
|  | int | _top )

See Widget::setPosition(const IntPoint& _pos)

Definition at line 175 of file MyGUI_Widget.cpp.

## setPropertyOverride()

void MyGUI::ScrollBar::setPropertyOverride | ( | std::string_view | _key,
|  | std::string_view | _value )

override protected virtual

@wproperty{ScrollBar, RepeatStepTime, float) The time between each repeat step once repeating has started.

Reimplemented from MyGUI::Widget.

Definition at line 548 of file MyGUI_ScrollBar.cpp.

## setRepeatEnabled()

void MyGUI::ScrollBar::setRepeatEnabled | ( | bool | enabled | ) |

Set whether clicks on scrollbar buttons should be repeated at set intervals as long as the mouse button is pressed down. Enabled (true) by default.

Definition at line 410 of file MyGUI_ScrollBar.cpp.

## setRepeatStepTime()

void MyGUI::ScrollBar::setRepeatStepTime | ( | float | time | ) |

Set how much time between scrollbar button repeats.

Definition at line 395 of file MyGUI_ScrollBar.cpp.

## setRepeatTriggerTime()

void MyGUI::ScrollBar::setRepeatTriggerTime | ( | float | time | ) |

Set time that buttons need to be pressed down to start repeating.

Definition at line 390 of file MyGUI_ScrollBar.cpp.

## setScrollPage()

void MyGUI::ScrollBar::setScrollPage | ( | size_t | _value | ) |

Set scroll page

Parameters

  _value | Tracker step when buttons pressed

Definition at line 609 of file MyGUI_ScrollBar.cpp.

## setScrollPosition()

void MyGUI::ScrollBar::setScrollPosition | ( | size_t | _position | ) |

Set scroll position (value from 0 to range - 1)

Definition at line 343 of file MyGUI_ScrollBar.cpp.

## setScrollRange()

void MyGUI::ScrollBar::setScrollRange | ( | size_t | _range | ) |

Set scroll range

Definition at line 333 of file MyGUI_ScrollBar.cpp.

## setScrollViewPage()

void MyGUI::ScrollBar::setScrollViewPage | ( | size_t | _value | ) |

Set scroll view page

Parameters

  _value | Tracker step when pressed on scroll line

Definition at line 619 of file MyGUI_ScrollBar.cpp.

## setScrollWheelPage()

void MyGUI::ScrollBar::setScrollWheelPage | ( | size_t | _value | ) |

Set scroll view page

Parameters

  _value | Tracker step when mouse wheel scrolled

Definition at line 629 of file MyGUI_ScrollBar.cpp.

## setSize() [1/2]

void MyGUI::ScrollBar::setSize | ( | const IntSize & | _size | ) |

override virtual

Set widget size

Reimplemented from MyGUI::ICroppedRectangle.

Definition at line 360 of file MyGUI_ScrollBar.cpp.

## setSize() [2/2]

void MyGUI::Widget::setSize | ( | int | _width,
|  | int | _height )

See Widget::setSize(const IntSize& _size)

Definition at line 177 of file MyGUI_Widget.cpp.

## setTrackSize()

void MyGUI::ScrollBar::setTrackSize | ( | int | _size | ) |

Set size of track in pixels

Parameters

  _value | in pixels, if less than MinTrackSize, MinTrackSize used

Definition at line 374 of file MyGUI_ScrollBar.cpp.

## setVerticalAlignment()

void MyGUI::ScrollBar::setVerticalAlignment | ( | bool | _value | ) |

Set vertical alignment grid mode

Definition at line 669 of file MyGUI_ScrollBar.cpp.

## shutdownOverride()

void MyGUI::ScrollBar::shutdownOverride | ( |  | ) |

override protected virtual

Reimplemented from MyGUI::Widget.

Definition at line 93 of file MyGUI_ScrollBar.cpp.

## TrackMove()

void MyGUI::ScrollBar::TrackMove | ( | int | _left,
|  | int | _top )

protected

Definition at line 187 of file MyGUI_ScrollBar.cpp.

## updateTrack()

void MyGUI::ScrollBar::updateTrack | ( |  | ) |

protected

Definition at line 104 of file MyGUI_ScrollBar.cpp.

## Field Documentation

## eventScrollChangePosition

EventHandle_ScrollBarPtrSizeT MyGUI::ScrollBar::eventScrollChangePosition

Event : scroll tracker position changed.
signature : void method(MyGUI::ScrollBar* _sender, size_t _position)

Parameters

  _sender | widget that called this event
  _position | - new tracker position

Definition at line 123 of file MyGUI_ScrollBar.h.

## mEnableRepeat

bool MyGUI::ScrollBar::mEnableRepeat {true}

protected

Definition at line 172 of file MyGUI_ScrollBar.h.

## mMinTrackSize

int MyGUI::ScrollBar::mMinTrackSize {0}

protected

Definition at line 176 of file MyGUI_ScrollBar.h.

## mMoveToClick

bool MyGUI::ScrollBar::mMoveToClick {false}

protected

Definition at line 177 of file MyGUI_ScrollBar.h.

## mPreActionOffset

IntPoint MyGUI::ScrollBar::mPreActionOffset

protected

Definition at line 160 of file MyGUI_ScrollBar.h.

## mRepeatStepTime

float MyGUI::ScrollBar::mRepeatStepTime {0.f}

protected

Definition at line 174 of file MyGUI_ScrollBar.h.

## mRepeatTriggerTime

float MyGUI::ScrollBar::mRepeatTriggerTime {0.f}

protected

Definition at line 173 of file MyGUI_ScrollBar.h.

## mScrollPage

size_t MyGUI::ScrollBar::mScrollPage {0}

protected

Definition at line 168 of file MyGUI_ScrollBar.h.

## mScrollPosition

size_t MyGUI::ScrollBar::mScrollPosition {0}

protected

Definition at line 167 of file MyGUI_ScrollBar.h.

## mScrollRange

size_t MyGUI::ScrollBar::mScrollRange {0}

protected

Definition at line 166 of file MyGUI_ScrollBar.h.

## mScrollViewPage

size_t MyGUI::ScrollBar::mScrollViewPage {0}

protected

Definition at line 169 of file MyGUI_ScrollBar.h.

## mScrollWheelPage

size_t MyGUI::ScrollBar::mScrollWheelPage {0}

protected

Definition at line 170 of file MyGUI_ScrollBar.h.

## mSkinRangeEnd

size_t MyGUI::ScrollBar::mSkinRangeEnd {0}

protected

Definition at line 164 of file MyGUI_ScrollBar.h.

## mSkinRangeStart

size_t MyGUI::ScrollBar::mSkinRangeStart {0}

protected

Definition at line 163 of file MyGUI_ScrollBar.h.

## mVerticalAlignment

bool MyGUI::ScrollBar::mVerticalAlignment {true}

protected

Definition at line 179 of file MyGUI_ScrollBar.h.

## mWidgetEnd

Button* MyGUI::ScrollBar::mWidgetEnd {nullptr}

protected

Definition at line 153 of file MyGUI_ScrollBar.h.

## mWidgetFirstPart

Widget* MyGUI::ScrollBar::mWidgetFirstPart {nullptr}

protected

Definition at line 156 of file MyGUI_ScrollBar.h.

## mWidgetSecondPart

Widget* MyGUI::ScrollBar::mWidgetSecondPart {nullptr}

protected

Definition at line 157 of file MyGUI_ScrollBar.h.

## mWidgetStart

Button* MyGUI::ScrollBar::mWidgetStart {nullptr}

protected

Definition at line 152 of file MyGUI_ScrollBar.h.

## mWidgetTrack

Button* MyGUI::ScrollBar::mWidgetTrack {nullptr}

protected

Definition at line 154 of file MyGUI_ScrollBar.h.

The documentation for this class was generated from the following files:

- MyGUI_ScrollBar.h
- MyGUI_ScrollBar.cpp